=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@  --buildsystem=cmake --with=python2

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	python BroControl/options.py     > debian/options.rst
	python BroControl/doc.py         > debian/plugins.rst
	python bin/broctl.in --print-doc > debian/commands.rst

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBRO_ETC_INSTALL_DIR=/etc/bro -DBRO_SCRIPT_INSTALL_PATH=/usr/share/bro

override_dh_install:
	dh_install --fail-missing
