## broctl 1.4

=== debian/changelog ===
broctl (1.4-1) unstable; urgency=medium

  * New upstream version
  * Remove unneeded patches
  * Define BRO_{SPOOL,LOG}_DIR
  * No longer create documentation files by running parts of broctl
  * Update Build-Depends, Depends

 -- Hilko Bengen <bengen@debian.org>  Fri, 30 Oct 2015 23:33:09 +0100
