=== debian/control ===
--- 
+++ 
@@ -3,7 +3,10 @@
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
 Uploaders: Raúl Benencia <rul@kalgan.cc>
-Build-Depends: cmake, debhelper (>= 9), dh-python, python, python-subnettree
+Build-Depends: cmake, debhelper (>= 9),
+ dh-python, python, python-subnettree,
+ bro, capstats, trace-summary,
+ exim4 | mail-transport-agent,
 Standards-Version: 3.9.6
 Homepage: http://www.bro.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/broctl.git
@@ -11,12 +14,12 @@
 
 Package: broctl
 Architecture: all
-Depends: bro,
-         capstats,
-         trace-summary,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
+Depends: bro, capstats, trace-summary,
+ exim4 | mail-transport-agent,
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends},
+Recommends: python-broccoli
 Description: interactive shell for managing Bro installations
  Bro is primarily a security monitor that inspects all traffic on a
  link in depth for signs of suspicious activity. More generally,
