=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@  --buildsystem=cmake --with=python2

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBRO_ETC_INSTALL_DIR=/etc/bro -DBRO_SCRIPT_INSTALL_PATH=/usr/share/bro \
	-DBRO_SPOOL_DIR=/var/spool/bro -DBRO_LOG_DIR=/var/log/bro

override_dh_install:
	dh_install --fail-missing
