=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://www.bro.org/downloads/release/ broctl-(\d.*)-minimal\.tar\.gz
